com.google.cloud.dataflow.sdk.runners

## Class DataflowPipelineRunnerHooks

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.DataflowPipelineRunnerHooks

    @Experimental
    public class DataflowPipelineRunnerHooks
    extends Object

An instance of this class can be passed to the `DataflowPipelineRunner` to add user defined hooks to be invoked at various times during pipeline execution.

### Constructor Summary

Constructors
Constructor and Description
`DataflowPipelineRunnerHooks()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `failOnJobFileWriteFailure()` Specifies whether the runner should fail if it fails to write to a job file.
`void` `modifyEnvironmentBeforeSubmission(com.google.api.services.dataflow.model.Environment environment)` Allows the user to modify the environment of their job before their job is submitted to the service for execution.
`boolean` `shouldActuallyRunJob()` Allows the user to specify whether the job should actually be executed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataflowPipelineRunnerHooks

    public DataflowPipelineRunnerHooks()

### Method Detail

#### modifyEnvironmentBeforeSubmission

    public void modifyEnvironmentBeforeSubmission(com.google.api.services.dataflow.model.Environment environment)

Allows the user to modify the environment of their job before their job is submitted to the service for execution.

Parameters:
  `environment` - The environment of the job. Users can make change to this instance in order to change the environment with which their job executes on the service.

#### shouldActuallyRunJob

    public boolean shouldActuallyRunJob()

Allows the user to specify whether the job should actually be executed.

#### failOnJobFileWriteFailure

    public boolean failOnJobFileWriteFailure()

Specifies whether the runner should fail if it fails to write to a job file.